/***************************************************************************
 * trackbarclefview.h: implementation of TrackTabClefView class
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKTABCLEFVIEW_H
#define TRACKTABCLEFVIEW_H

#include <QFont>

#include "drawingitem.h"

class Cm;
class QCanvasTextCm;

class TrackTabClefView : public DrawingItem
{
public:
	TrackTabClefView(const QFont& clefFont, const Cm& heightTablature, uint dpi);
	virtual ~TrackTabClefView();
	
	virtual void hide();
	virtual void show();
	
	virtual QRectCm boundingRect() const;
	virtual Cm height() const;
	virtual Cm width() const;
private:
	static const QString tabText;
	const QFont font;
	const Cm clefHeight;
	QCanvasTextCm* clefView[3];
};

#endif
